commit:     fea9335ef8c7ff3b29ba2deded523f514324546a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May  7 05:54:57 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May  7 06:33:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fea9335e

dev-ruby/climate_control: add 1.0.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/climate_control/Manifest                  |  1 +
 .../climate_control/climate_control-1.0.1.ebuild   | 29 ++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-ruby/climate_control/Manifest 
b/dev-ruby/climate_control/Manifest
index c903400c2370..06e0fb17111c 100644
--- a/dev-ruby/climate_control/Manifest
+++ b/dev-ruby/climate_control/Manifest
@@ -1 +1,2 @@
 DIST climate_control-0.2.0.gem 9728 BLAKE2B 
9868eef8836189d7567d8fd8f5dade874ed4baef883f38b2d6148bde4f1e24544f31fae75ff7bcec4dc685c1fdd23d5164817460eeaf151d8eb105e023bbd741
 SHA512 
c264d731fb02c7a15932d2724bcd54dff91d2370a0b5336444e167e0d39596974c3826db502be7dc1b6d99cdbbc022135822222a5a6cb6b822aa32a0913c1ec9
+DIST climate_control-1.0.1.gem 9728 BLAKE2B 
f2d267e86c58fdbb7a85508f56a091166809d108c2e66702df50962086a89a134e6a47a1e53c36272c563f1d4a0225fc613490616d67fbe04e9647b7fe8cfda6
 SHA512 
2dfd790b444409275571881d19c3712c6542890499f3d55e5f8ea3775166c01adbb216a0749b0c4e126d631cba690c0edc3f8c49143fc0ff3bcc8b25545bf218

diff --git a/dev-ruby/climate_control/climate_control-1.0.1.ebuild 
b/dev-ruby/climate_control/climate_control-1.0.1.ebuild
new file mode 100644
index 000000000000..afca40f5eb3b
--- /dev/null
+++ b/dev-ruby/climate_control/climate_control-1.0.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="NEWS README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Easily manage your environment"
+HOMEPAGE="https://github.com/thoughtbot/climate_control";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+       # Avoid dependencies on simplecov and git.
+       sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
+       sed -i -e 's/git ls-files/find * -print/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to